.panel.panel-default{"ng-controller" => "FarmingConstraintCtrl"}
  .panel-heading{ :style => "border-bottom:1px solid #f0f0f0"}
    %h4.text-primary Farming Constraints
  .panel-body
    .table-responsive
      %table.table
        %thead
          %tr
            %th{:style => "text-align:center;"} Constraints
            %th{:style => "text-align:center;"} Response
     
        %tbody
          %tr{ "ng-repeat" => "farming in data_list "}
            %td{:style => "text-align:center;"} {{ farming.constraint.name }}
            %td{:style => "text-align:center;"} {{ farming.response }}
            %td
              %a{ "ng-click" => "edit(farming.id);" } 
                %i.fa.fa-pencil{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
            %td
              %a{ "ng-click" => "delete(farming.id, farming.url);" } 
                %i.fa.fa-trash-o.fa-fw{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
          %tr#form_farming
            %td
              %select{"ng-model" => "vm.constraint", "ng-options" => "constraint.name for constraint in constraints track by constraint.id", :class => "form-control", :placeholder => "Select crop"}
                %option{:value=>'', :selected => 'selected'} Select Constraint
            %td
              = select_tag :response, options_for_select(["Experienced", "Not Experienced"]), :prompt => "Select",:class => "form-control", "ng-model" => "vm.response"
              
  .panel-footer
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_add", "ng-click" => "submit()"} Add  
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_update", "ng-click" => "update()"} Update  
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_cancel", "ng-click" => "cancel()"} Cancel 
    %button{:class => "btn btn-primary btn-sm pull-right", "ng-click" => "next()"}
      %i.fa.fa-chevron-right{"aria-hidden"=>"true", :style=>"color:#FFF"}
    %button{:class => "btn btn-primary btn-sm pull-right", "ng-click" => "prev()", :style => "margin-right:5px"} 
      %i.fa.fa-chevron-left{"aria-hidden"=>"true", :style=>"color:#FFF"}  
      
